mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IConvertible System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

The class represents a nonexistent value. In a database, for example, a column in a row of a table might not contain any data whatsoever. That is, the column is considered to not exist at all instead of merely not having a value. A object represents the nonexistent column. Additionally, COM interop uses the class to distinguish between a VT_NULL variant, which indicates a nonexistent value, and a VT_EMPTY variant, which indicates an unspecified value.

The type is a singleton class, which means only one object exists. The member represents the sole object. can be used to explicitly assign a nonexistent value to a database field, although most ADO.NET data providers automatically assign values of when a field does not have a valid value. You can determine whether a value retrieved from a database field is a value by passing the value of that field to the DBNull.Value.Equals method. However, some languages and database objects supply methods that make it easier to determine whether the value of a database field is . These include the Visual Basic IsDBNull function, the method, the method, and the method.

Do not confuse the notion of null in an object-oriented programming language with a object. In an object-oriented programming language, null means the absence of a reference to an object. represents an uninitialized variant or nonexistent database column.

Represents a nonexistent value. This class cannot be inherited.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Implements the interface and returns the data needed to serialize the object.

  A object containing information required to serialize the object. A object containing the source and destination of the serialized stream associated with the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  Gets the value for .

  The value for , which is .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Decimal `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.SByte `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Single `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added.

  Three conversions are supported: If the parameter specifies or , the return value is the current object itself. If the parameter specifies , the return value is the string returned by the method.

  Converts the current object to the specified type.

  The boxed equivalent of the current object, if that conversion is supported; otherwise, an exception is thrown and no value is returned.

  An object that implements the interface and is used to augment the conversion. If null is specified, format information is obtained from the current culture.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt16 `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt32 `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 `` To be added.

  This conversion is not supported. Attempting to make this conversion throws an .

  None. The return value for this member is not used.

  An object that implements the interface. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns an empty string ().

  An empty string ().

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Returns an empty string using the specified .

  An empty string ().

  The to be used to format the return value.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DBNull

  is a singleton class, which means only this instance of this class can exist.

  If a database field has missing data, you can use the property to explicitly assign a object value to the field. However, most data providers do this automatically.

  To evaluate database fields to determine whether their values are , you can pass the field value to the DBNull.Value.Equals method. However, this method is rarely used because there are a number of other ways to evaluate a database field for missing data. These include the Visual Basic IsDBNull function, the method, the method, the method, and several other methods.

  Represents the sole instance of the class.